"""Top-level namespace containing the core classes and functions"""
__submodules__ = ["core"]

__version__ = "0.8.1"

# <AUTOGEN_INIT>
from snakebids.core import (
    BidsComponent,
    BidsDataset,
    BidsDatasetDict,
    bids,
    filter_list,
    generate_inputs,
    get_filtered_ziplist_index,
    get_wildcard_constraints,
    print_boilerplate,
    write_derivative_json,
)

__all__ = [
    "BidsComponent",
    "BidsDataset",
    "BidsDatasetDict",
    "bids",
    "filter_list",
    "generate_inputs",
    "get_filtered_ziplist_index",
    "get_wildcard_constraints",
    "print_boilerplate",
    "write_derivative_json",
]

# </AUTOGEN_INIT>
